type Mutation {
  createUpdateIdeeOuBonnePratiqueFichierJoint(
    input: IdeeOuBonnePratiqueFichierJointInput!
  ): IdeeOuBonnePratiqueFichierJoint!
  softDeleteIdeeOuBonnePratiqueFichierJoints(ids: [String!]!): [IdeeOuBonnePratiqueFichierJoint!]!
}

type Query {
  ideeOuBonnePratiqueFichierJoint(id: ID!): IdeeOuBonnePratiqueFichierJoint
  ideeOuBonnePratiqueFichierJoints(isRemoved: Boolean): [IdeeOuBonnePratiqueFichierJoint!]!
}

input IdeeOuBonnePratiqueFichierJointInput {
  id: ID
  idIdeeOuBonnePratique: ID!
  idFichier: ID!
  isRemoved: Boolean
}

type IdeeOuBonnePratiqueFichierJoint {
  id: ID!
  ideeOuBonnePratique: IdeeOuBonnePratique!
  fichier: Fichier!
  isRemoved: Boolean
  dateCreation: DateTime!
  dateModification: DateTime!
}
